.. _release-notes:

Release Notes
=====================================

This page lists the version history of ICE RemoteWare™ releases.

You can access the latest ICE RemoteWare™ documentation `here <https://docs.ice.penguinsolutions.com/remoteware-docs/>`_ as well as the latest version of the `release notes <https://docs.ice.penguinsolutions.com/remoteware-docs/release-notes.html>`_.


What's New in v16.0.0
-----------------------------
* **Added user control of video quality settings**
* **Added support for server ARM platform for Rocky 9 and Ubuntu 22 + 24 without USB support**
* **Added portal functionality on Windows and Linux**
* **Improved video quality by using server to scale video when fit-to-window is active**
* Added keyboard shortcuts ALT+F4 and ALT+Tab to client GUI
* Provided client and server tarballs
* Saved some client settings between sessions
* Fixed an issue where reinstalling the server resets
  some user configurations


Known Issues
-----------------------------
* MacOS Sonoma: USB integration on server is not supported (#4820)
* MacOS Ventura: USB integration install on server requires manual
  steps to complete (#4819)
* Guest sessions on Ubuntu system can't execute snap installed
  applications from GUI (#4799)
* Server does not start up when a NIVIDA driver is installed but
  no supported hardware is found (#4780)
* MacOS: NativeClient does not continue mouse dragging when mouse
  leaves window (#3970)
* MacOS: Sometimes audio gets corrupted when connected, which requires the
  user to reconnect (#3122)
* Safari on BigSur (macOS 11) and earlier doesn't support connecting
  to servers with self-signed certificates.  Please use Chrome as a
  workaround (#3971)
* Windows systems with no mouse devices will not show a mouse cursor.
  Please enable the Microsoft 'Mouse Keys' feature to force Windows
  to show a cursor as a workaround (#1079)
* Disconnecting Wacom Tablets from the USB Forwarding Menu will
  disable 'Mouse Keys' on Windows and this may cause the cursor to
  disappear if there are no mouse devices.  Please re-enable
  'Mouse Keys' or reconnect the Wacom Tablet as a workaround (#3986)
* Wayland based display servers are not supported.  An X11 based
  windowing system must be enabled (#4132)



Version History
-----------------------------


-----------------------------
v15.1.1
-----------------------------
* Updated OpenSSL version to 3.5.2 and fixed an issue with legacy
  algorithm
* Fixed an issue preventing repeated license uploads from the client
* Fixed an issue causing from time to time the video to freeze on the
  Native Client
* Fixed an issue causing the server to crash on some systems when auto-sync
  clipboard is turned off
* Reenabled changing password from the command line on Linux
* Removed unmodified values from the list of changed variables on
  Advanced Settings page
* Small improvements to documentation


-----------------------------
v15.1.0
-----------------------------
* **Updated bundled OpenSSL to version 3.5.0 on all platforms**
* **MultiSession: Added audio support for guest sessions**
* MultiSession: Added a tool for transparently starting GPU-enabled
  applications
* MultiSession: Added security options to hide other users process ids
  and to mount a private /tmp filesystem
* Fixed an issue preventing the server from starting up due to
  a problem finding the configuration file on Linux
* Simplified audio setup on Rocky Linux 9 and Ubuntu 24
* Resolved an issue, preventing loading the library for VirtualHere
  integration
* Various improvements to File Up- and Download

-----------------------------
v15.0.3
-----------------------------
* **Added Clipboard Auto-Sync support to the Native Client**
* **MultiSession: Starting guest sessions as services for better security isolation**
* Expanded the options to customized the sign-in screen
* Added a setting to harden the server by disabling all optional
  features
* Restricted access to Advanced Settings to active controller only
* Expanded the documentation of setup variables
* Added a separate log file for tracking server access
* Improved support for multiple server instances on one machine (Linux only)
* MultiSession: Added UI element to show and control guest sessions
* MultiSession: Added a config entry to enable a user to connect
  to the host and not to a guest server
* MultiSession: Removed dependency on ssh connections to start servers
* MultiSession: Improved documentation
* MultiSession: Now exposing all variables in Advanced Settings Tool
  even when MultiSession is currently not enabled
* Made UI elements on client window movable
* Fixed an issue preventing Safari from copying the Remote Clipboard
* Fixed video flickering occurring from time to time on Windows
  and Linux
* Fixed an issue on cloud instances when a slow X11 setup was causing
  the server to get stuck during boot until it gets manually restarted
* Windows: Fixed a race condition leading to a server crash when
  too many users connect at the same time
* Improved and extended documentation of setup variables

-----------------------------
v15.0.2
-----------------------------
* Fixed an issue when Server.Auth.Enabled is false
  leading an endless loop of client reconnecting to server during
  a setup problem
* Fixed smaller issues on the client UI, especially on the 
  Advanced Settings page

-----------------------------
v15.0.1
-----------------------------
* Fixed an issue preventing the Native Client to download files
  from server
* Fixed an issue preventing the USB integration from installing
  on certain Linux systems


-----------------------------
v15.0.0
-----------------------------
* **Scyld Cloud Workstation has been renamed and rebranded to
  ICE RemoteWare**
* **Redesigned and updated the documentation**
* **Multi Session support on Linux. The multi session feature
  allows multiple users to run their own sessions concurrently**
* **Added scripts on Linux distribution to set up secure password-
  less connections**
* Option added to control and set keep-alive settings on TCP sockets
* Showing network address in addition to user name in connect
  notifications
* Added the server's hostname on sign-page and it's page title
* Fixed an issue where the details of the path to the SSL
  certificates in the configuration file was deleted
* Fixed an error in the installation validation where a missing
  VH license triggered a misleading error report
* Improved the dependency information for Linux packages
* Fixed a problem with clients where they might stop working during
  user login on Linux systems
* Improved sign-in and -out experiences
* Removed CentOS7 from the list of supported OSes
* Fixed a problem where sometimes clients lost keyboard and mouse
  access when connecting to a server with multiple displays

-----------------------------
v14.0.1
-----------------------------
* Fix for Linux system without a proper display manager

-----------------------------
v14.0.0
-----------------------------
* **Added Ubuntu 24 support**
* **Added File Download from server**
* **Added File Upload to server**
* **Added Trial Mode, user can evaluate ICE RemoteWare for a
  limited time without a trial license**
* **Added Network Address Filter to server**
* **Added USB Allow List to server**
* Command line option added to load additional config file
* Improvements to trial mode
* Added a warning when the user space server is not running
* Removed ctrl-alt-del button in the  client UI when 
  connected to a MacOS server

-----------------------------
v13.2.0
-----------------------------

* Disabled Audio forwarding on OS login screens
* Fixed Ctrl+F12 keyboard shortcut for users who aren't
  controllers
* Multiple fixes to the Advanced Setting page, e.g. for
  systems without any authorization, added an option to
  allow guest access, client UI changes reflecting
  configuration changes
* Advanced Setting page has default mode for commonly
  used settings and an expert mode for more advanced
  configuration
* Fixed Log Viewer for systems without authorization,
  added an option for guest access
* Fixes for multi-display systems for Log Viewer and
  Advanced Setting pages
* Enabled "window-manager-less" mode on Linux
* Added a configuration setting to turn off license
  upload
* Fixes for keyboard handling of Japanese characters
* Server logs any unrecognized settings in config file
* MacOS audio: Fixed server crash and improved audio
  handling
* Fixed an issue during log into a server when
  authentication is disabled

-----------------------------
v13.1.0
-----------------------------
* **Added Advanced Settings page for configuration file editing**
* **Added License Management page for managing missing, outdated, and
  invalid licenses**
* **Added a Log Viewer for viewing server and service log files (To
  enable, set Server.LogViewer.Enabled to true)**
* **Added Kiosk Mode to the Native Client to create a locked-down
  experience (use command line flag --kiosk or /kiosk for windows)**
* **Added MacOS Sonoma 14 support**
* **Deprecated MacOS Catalina 15 support**
* Enabled copying from remote clipboards of Windows servers
* Added Allow list to control the types of USB devices that are
  allowed to be forwarded to the server (see
  :ref:`Server.VirtualHere.AllowedUsbDevices` for more information)
* Added notifications when a USB device is forwarded to the server
* Improved Japanese language handling on Native Client
* Fixed race condition during USB forwarding
* Fixed an issue preventing the Native Client from copying the server
  clipboard to the client
* Fixed Windows issue preventing domain account users from logging in
  twice into the server
* Fixed cursor not displaying on Linux when using the nvfbc video
  source

-----------------------------
v13.0.1
-----------------------------
* Fixed Japanese text input on MacOS and added a key mapping example
* Added autodetection of keyboard layout change to MacOS server
* Made missing audio support error message on demand (MacOS only)

-----------------------------
v13.0.0
-----------------------------
* **Added remote clipboard copying (Linux and MacOS only)**
* **Added 'Fit to Window' view**
* **Added support for Windows Server 2022 (server-side only)**
* **Added beta support for MacOS Sonoma 14**
* Deprecated USB Forwarding on MacOS Big Sur 11
* Added clipboard synchronization notification
* Added notification for when MacOS copy-paste server is not running
* Updated VirtualHere server to 4.5.9 and VirtualHere client to 5.5.4
* Improved mouse responsiveness when client is overloaded
* Fixed keyboard handling of Shift+Insert, Shift+Delete, Shift+NumPad,
  Shift+Cancel/Stop, and Ctrl+Alt
* Fixed handling of user defined port numbers
* Fixed several issues with installation on Google Cloud instances
* Added workaround for Linux systems where SELinux has made shared
  memory inaccessible

-----------------------------
v12.3.0
-----------------------------
* **NOTE:** Existing ICE FlexLM installations must be updated
  to ICE FlexLM v11.19.3
* **Added support for Rocky Linux 9**
* **Added support for Ubuntu 22.04 LTS**
* **Added support for MacOS Ventura 13**
* **Added beta support for Windows Server 2022**
* **Added Japanese keyboard support**
* Updated VirtualHere server to 4.5.6 and VirtualHere client to 5.4.7
* Updated recommended BlackHole version to 0.5.0 for MacOS audio
* Updated to OpenSSL 3.1 on Windows and MacOS
* Improved stability of VirtualHere integration on Linux
* Improved MacOS Installer
* Improved page loading times
* Improved Windows RDP disconnect handling
* Improved handling of Google Cloud using Google Graphics Array on
  Windows
* Fixed handling of Ubuntu service shutdown
* Fixed graphics capturing bug on Optimus systems in Windows
* Fixed graphics capturing bug when logging into Linux systems
* Fixed copy-paste on MacOS servers not working on first attempt
* Fixed potential lockout when MacOS lock screen Cancel button
  causes host to sleep
* Fixed server crash on ARM-based Monterey hosts when switching audio
  source to Blackhole 16ch
* Fixed Windows native client not shutting down cleanly
* Fixed Windows validation tool unable to run without admin rights
* Fixed service log gets too many messages when server restart fails

-----------------------------
v12.2.0
-----------------------------
* **Added keyboard support for all Latin and Cyrillic languages**
* **Reduced CPU load when screen window is minimized or in background tab**
* **Reintegrated NvFBC in Linux** to reduce server CPU load
* **Changed Fullscreen keyboard shortcut on native client to Ctrl+F11**
* **Added hardware color conversion for Windows**
* Improved login and logout loading transitions
* Added IPv6 support in native clients
* Added support for sending Cmd+Q to server from MacOS clients
* Changed QoS to be more conservative
* Fixed error page link to home page
* Updated Linux package dependencies

-----------------------------
v12.1.1
-----------------------------
* **Fixed URI scheme** not registered after performing RPM update of
  native client
* Fixed internal ping time counter
* Reduced debug level messaging in MacOS
* Fixed Linux 'x11' videosource config option
* Fixed server '--setConfig' command line option
* Removed 'Jointly engineered with Colorado Code Craft' from sign in
  page

-----------------------------
v12.1.0
-----------------------------
* **Added support for up to 60 fps frame rate on Linux servers**.
  Configuration file update is required to enable.  See
  :ref:`Server.Video.Encoding.H264.MaxFrameRate` for more information.
* **Added support for Windows 11 and Windows Server 2019**
* **Added support for Ubuntu 20.04 LTS**
* Added beta support for Ubuntu 22.04 LTS (requires: OpenSSL 1.1.1)
* Deprecated support for Ubuntu 16.04 LTS
* Deprecated support for MacOS High Sierra 10.13 and MacOS Mojave
  10.14
* Improved user interface load time
* Improved keyboard and mouse response times
* Improved handling of non-English keyboards in Linux
* Fixed Rocky Linux Client's USB Forwarding instability
* Fixed native client video instability during scrolling
* Fixed race condition in service restart tool for Windows
* Fixed race condition in handling CentOS 7 logouts
* Fixed MacOS video sources not always being available after reboot
* Fixed native client crash when adding a third display
* Prevent multiple users from connecting when lossless or visually
  lossless video encoding is active

-----------------------------
v12.0.1
-----------------------------
* **Added support for Rocky Linux 8**
* Changed USB Forwarding to only be available by installing an
  optional module
* **Added support for up to 60 fps frame rate on Windows servers** using
  the new default video source ('windda')
* **Added support for up to 60 fps frame rate on ARM-based Mac servers**
* Improved handling of Windows sign-out confirmation screen
* Updated VirtualHere server to 4.4.2 and VirtualHere client to 5.3.6
* Fixed Windows active directory domain logins
* Fixed Windows and Linux keyboard handling
* Fixed Linux pactl zombie processes
* Fixed MacOS caffeinate zombie processes
* Fixed USB Forwarding menu not reflecting WACOM tablet unplug events
* Fixed remote cursor not hiding when disconnecting a WACOM tablet
* Fixed missing ShadowPassword fields in default MacOS and Windows
  configuration files
* Fixed Windows configuration file handling of 'auto' values
* Dropped support for Windows 7 and 8
* Dropped support for NvFBC
* Dropped support for Internet Explorer 11
* Dropped USB Forwarding support for MacOS Big Sur servers

-----------------------------
v11.3.3
-----------------------------
* Fixed MacOS installer alerts

-----------------------------
v11.3.2
-----------------------------
* Fixed crash of Windows server

-----------------------------
v11.3.1
-----------------------------
* Added support for MacOS server updates without a desktop login
* Added support for MacOS client clean installs and updates without a
  desktop login
* Fixed stuck video on MacOS login screen
* Improved MacOS server and client installer log messages
* Fixed Windows server validation tool
* Fixed Windows client unable to reopen screens
* Fixed missing Windows client DLLs msvcp140_1.dll and
  vcruntime140_1.dll
* Bug fixes for USB Forwarding
* Updated to VirtualHere server v4.3.8
* Updated to VirtualHere client v5.3.1

-----------------------------
v11.3.0
-----------------------------
* Added MacOS Monterey 12 client and server side support
* Added Apple Silicon M1 support for client and server
* Added 60 fps support for servers using Apple Silicon M1
* Fixed MacOS client caps lock
* Fixed MacOS client copy and paste
* Removed support for USB Forwarding to Big Sur servers due to a
  change in Big Sur.  Please update to MacOS Monterey for USB
  Forwarding support.  Big Sur clients can still forward USB
  devices to other servers
* Improved Windows USB Forwarding start-up
* Improved Windows sign out handling
* Improved Windows install verification tool
* Updated Windows and MacOS OpenSSL to 1.1.1l
* Added ability for native clients to auto resize to video
* Added support for **Server.Audio.Output.SampleRate** values 48000 and 96000
* Fixed issue with scrollbars being inaccessible in fullscreen

-----------------------------
v11.2.1
-----------------------------
* **Added MacOS Big Sur client support (x86 only)**
* Updated USB Forwarding installation for MacOS Catalina and later

-----------------------------
v11.2.0
-----------------------------
* **Added ability to launch the native client using new URI scheme:**
  ``irw://<server>``
* Added an application launcher for GNOME systems
* Changed native client command line to accept URL argument without
  flags
* Fixed Ubuntu client installer issue that prevented USB Forwarding

-----------------------------
v11.1.1
-----------------------------
* Fixed MacOS and Windows client white screen issue

-----------------------------
v11.1.0
-----------------------------
* **Added USB Forwarding (includes Wacom Tablet support)**
* Upgraded QT on Windows and MacOS to 5.14.2
* Improved audio quality on MacOS and Windows
* CentOS and RHEL customers encouraged to install using YUM repository
  (see documentation for more information)
* Added PrintScreen and Ctrl+Alt+Del to keyboard shortcuts
* Removed Windows installer menu for config file credential setup
* Changed minimum length of config file passwords to be six characters
* Added FAQ to help users who have WebGL blocked by their browser for
  certain graphics cards and driver combinations
* Fixed escape key down issue
* Added --broker-passwd flag for MacOS
* Changed ScyldCloudAuth based usernames to be case insensitive

-----------------------------
v11.0.1
-----------------------------
* **NOTE:** This release is not compatible with earlier versions.
  Please update all server and client components
* **Added CentOS 8 with GDM support (Xorg must be enabled)**
* **NOTE:** Windows users should use the NVIDIA Control Panel to
  change screen resolution
* Discontinued CentOS 6 support
* Added notarization and code signing of MacOS packages
* Updated recommended BlackHole version to 0.2.9 for MacOS audio
* Added CSP policy
* Added Users API
* Added 'broker' account for API access
* Disabled 'admin' account by default on Linux and Windows
* Fixed initial static audio in MacOS
* Fixed multiple users not able to access audio streams in Linux
* Fixed MacOS copy-paste
* Changed service architecture for all Linux platforms
* Updated Windows and MacOS OpenSSL to 1.1.1k
* Removed ability to customize Linux screensaver launcher
* Changed background color to a slight gray
* Optimized cursor loading
* Bug fixes and security updates

-----------------------------
v10.2.2
-----------------------------
* Added security patch to MacOS server
* Fixed missing MacOS client icon

-----------------------------
v10.2.1
-----------------------------
* **NOTE:** Existing ICE FlexLM installations should be updated
  to ICE FlexLM v11.17.0.1
* Added audio support for Safari
* Fixed MacOS issue with starting service from command line
* Fixed MacOS issue with audio toggle
* Fixed MacOS issue with video device detection on reboot

-----------------------------
v10.2.0
-----------------------------
* Improved audio settings to CD-Audio quality
* Improved audio-video sync by lowering default
  **Audio.Output.BufferTime** to 0.020s
* Added support for 8, 16, and 24 values to **Audio.Output.BitsPerSample**
* Added support for additional **Server.Audio.Output.SampleRate** values
* Added ability to restart audio by toggling audio button
* Updated documentation for bandwidth and hardware requirements
* Fixed OS credentials login conflicts
* Fixed Linux user name detection
* Fixed Linux "Test AudioSource: pipe failed 'Too many files open'"
* Fixed Windows NvFBC multi-screen mouse cursor positioning
* Fixed Windows adding config file credentials dynamically
* Fixed MacOS for multiple user accounts
* Fixed MacOS login
* Fixed MacOS audio detection
* Fixed MacOS launcher

-----------------------------
v10.1.1
-----------------------------
* Fixed issue with Chrome not being able to sign in over HTTP
* Fixed issue with incomplete Config File Credentials preventing other
  sign ins

-----------------------------
v10.1.0
-----------------------------
* Added **server support for MacOS** 10.13, 10.14, and 10.15
* Added **client support for MacOS** 10.13, 10.14, and 10.15
* Added **on-screen performance monitor** to client
* Improved audio-video sync by lowering **Audio.Output.BufferTime** to
  0.045s

-----------------------------
v10.0.0
-----------------------------
* Added **two-channel audio** for Windows 10, CentOS 7,
  and Ubuntu 16 servers.  See the :ref:`SetupAudio` section for
  more information
* Increased **Server.Video.MaxWidth** and **Server.Video.MaxHeight**
  to 1440p (2560x1440)
* Added **RHV Authentication Support**
* Added **support for IPv6**
* Updated Windows OpenSSL to 1.1.1g
* Fixed issue with High DPI scaling in Windows native client
* Fixed browser support for NvFBC at 4K resolutions

-----------------------------
v9.2.1
-----------------------------
* Fixed issue with visually lossless slider not updating in
  multi-display, multi-user situation

-----------------------------
v9.2.0
-----------------------------
* Added support for **visually lossless video** (single user, native
  client only)
* Improved lossless video performance
* Added support for Chrome 80's new SameSite cookie policy
* Fixed display detection error handling in Linux startup script

-----------------------------
v9.1.11
-----------------------------
* Fixed custom application cursors not showing in Windows
* Fixed fullscreen button not showing for Guest users
* Changed UI to inform when no users have keyboard and mouse control

-----------------------------
v9.1.10
-----------------------------
* Added security patch to Server.Auth.OSAuth.Enabled for Windows
* Fixed screen resolution changing in CentOS 7.7
* Fixed pausing and resuming guest video
* Fixed video halting when switching to Ctrl+Alt+Del menu in Windows 7
* Fixed black box cursor when connecting over a VM
* Added error messaging for missing PEM file
* Fixed ERR_BAD_SSL_CLIENT_AUTH_CERT connection error
* Improved log file messaging
* Improved screen scaling support

-----------------------------
v9.1.9
-----------------------------
* Fixed QoS to react faster to network changes
* Increased default **Server.Video.AvgBitRate** to ``1280x720=3000k,1920x1080=6000k``
* Changed **Server.Video.AvgBitRate** to optionally accept a single
  ``<resolution>=<bit-rate>`` value and use the given bit-rate for all
  resolutions
* Disabled low bandwidth warning messages by default

-----------------------------
v9.1.8
-----------------------------
* **NOTE:** This release is not compatible with earlier versions.
  Please update all server and client components.
* Added a new video decoder for **significant video improvement in
  modern browsers**
* Added **security patch to WebSocket protocol**
* Added support for **ScyldCloudAuth Token Authentication**
* Added ability to use a custom sign-in page by setting
  **Server.Auth.ExternalSignInPage** to a URL
* Improved QoS algorithm
* Added feature to halt server if port is already being used
* Fixed issue with setting Server.Video.VideoSource to 'nvfbc' resulting in
  'stream' video source
* Changed frame rate to reflect actual frames per second instead of
  decode time
* Fixed Mac Cmd key
* Fixed text paste not working in Chrome browser

-----------------------------
v9.0.0
-----------------------------
* Added single-user support for toggling **lossless video**
  (native client only)
* Added beta support for GNOME 3.28+ on CentOS 7
* Dropped server and client support for Ubuntu 14
* Reorganized main toolbar
* Added lossless video checkbox to new settings menu
* Added scaled video status message to new settings menu
* Upgraded QT to 5.9.7
* Updated Windows OpenSSL to 1.0.2r
* Fixed multi-display issues when enabling and disabling displays
* Improved user warning alerts
* Fixed multi-user slow-user warning icons
* Fixed alternative mouse cursor visibility
* Fixed mouse scrolling behavior in Chrome 73
* Fixed multi-display issue with double-clicking on screen buttons
* Fixed misleading "Another user is signed in" message
* Fixed issue where clicking on external links created a black window
  (native client only)
* Reduced mouse context menu options (native client only)
* Fixed "You need to enable cookies in order to log in" issue
  (native client only)

-----------------------------
v8.1.5
-----------------------------
* Fixed CentOS 6 issue with setting **Server.Video.VideoSource** to ``auto``
  or ``nvfbc``
* Fixed minor multi-screen interface issues
* Fixed documentation by changing
  **Server.ConcurrentClients.MaxClientCount** to
  **Server.Collaboration.MaxClientCount**
* Hide Guest Invite buttons when **Server.Collaboration.MaxClientCount**
  is set to ``1``
* Fixed QoS stability issues

-----------------------------
v8.1.4
-----------------------------
* Added support for mouse dragging between tiled screens
* Switched to overlay scrollbars
* Updated QoS algorithm
* Fixed JavaScript error in IE11

-----------------------------
v8.1.3
-----------------------------
* Fixed crash related to screen size changing
* Fixed flickering caused by decoder library and stream video source
* Fixed QoS stability issues

-----------------------------
v8.1.2
-----------------------------
* Fixed downscaling when resolution height is not divisible by 4

-----------------------------
v8.1.1
-----------------------------
* Added ``--check`` command line option to help test installation
* Added version compatibility checking to native client and server
* Added support for adding or removing displays
* Added Windows start menu shortcuts for easier access to log file and
  service restart
* Updated Windows OpenSSL to 1.0.2p
* Fixed Ubuntu 14 issue where video outputs swapped after screen size
  change
* Fixed resolution scale down message text and added fade-out behavior
* Fixed button behavior for opening screens
* Fixed mouse location after display re-positioning
* Fixed support for Windows systems with multiple NvFBC GPUs

-----------------------------
v8.0.1
-----------------------------
* **NOTE:** This release is not compatible with earlier versions
* **NOTE:** A clean install of the Server is required (Windows only)
* Added ability to show **multiple screens** across **multiple displays**
* Renamed boot.log log file to win-service.log
* Added confirmation prompts to prevent accidental session closing
* Added ability to change PAM Service name by changing the
  **Server.Auth.OSAuth.PAM.Service** config option
* Fixed max video scaling issues that occurred after resolution
  changes
* Removed unneeded libraries from Server MSI installer
* Fonts are now hosted by the Server
* Client window bug fixes

-----------------------------
v7.1.8
-----------------------------
* Fixed native client blank connect dialogue appearing after
  service restarts
* Fixed native client black screen when reconnecting after Windows 10
  service restarts
* Fixed native client scroll bars not appearing when reconnecting
  after Windows 10 service restarts
* Fixed Windows 10 service becoming unavailable after signing out
* Suppressed mouse cursors always shows in Windows 10
* Added HiDPI support for Windows stream encoder
* Fixed Linux log file location

-----------------------------
v7.1.1
-----------------------------
* Improved handling of scenarios where Windows has no console session
* Improved handling of scenarios where RDP session is active
* Documented 'Escape' workaround for black windows login screen issue
* Changed default XML config file value for **Server.Misc.IdleUserTimeout**
  to 120
* Fixed missing OpenSSL libraries in Windows
* Fixed client EULA

-----------------------------
v7.1.0
-----------------------------
* Changed **video bit-rate selection** to be based on screen
  resolution
* **Lower latency** for native client due to optimizations on color
  conversion and frame rendering

-----------------------------
v7.0.2
-----------------------------
* Added OpenSSL v1.0.2n libraries to Windows native-client

-----------------------------
v7.0.1
-----------------------------
* Fixed Windows password changing documentation
* Fixed config file automatically inserting StreamVideoSource tags
* Removed Windows wrapper batch script

-----------------------------
v7.0.0
-----------------------------
* Added **4K resolution support to native-client**.  Additional
  server-side setup is required.  See the :ref:`Enable4K` section for
  more information.
* Improved **frame-rate performance of native-client**
* Added **MD5 hash of configuration file to start-up output**
* Upgraded QT to 5.9.2
* Improved **native-client window resize behavior**
* Improved **native-client fullscreen behavior** to downscale graphics
  when remote desktop is larger than the client screen size

-----------------------------
v6.1.1
-----------------------------
* Fixed image blurring when enabling unique frames

-----------------------------
v6.1.0
-----------------------------
* Added ability to **sign in with Linux and Windows OS credentials**
* Added ability to **transmit only unique video frames** with
  **Server.Video.UniqueFramesOnly** config setting (true by default)

-----------------------------
v6.0.3
-----------------------------
* Added browser-less 'Native Client' for CentOS 7 and Windows 7
* Fixed relative paths for Server.License.FileName
* Updated fonts, icons, and colors
* Changed from Windows NSIS installer to MSI installer
* All **Server.ConcurrentClients** configuration settings changed to **Server.MultiUser**

-----------------------------
v5.0.7
-----------------------------
* Fixed "too many files open" error for generic stream video source

-----------------------------
v5.0.6
-----------------------------
* Improved error handling for disconnects during inactivity
* Changed default idle user timeout to 2 hours

-----------------------------
v5.0.5
-----------------------------
* Fixed black winlogon screen for stream video source

-----------------------------
v5.0.4
-----------------------------
* Fixed screen size changing in Windows

-----------------------------
v5.0.3
-----------------------------
* Fixed handling of poor network connections
* Windows installer preserves \*.dat, \*.lic files on update

-----------------------------
v5.0.2
-----------------------------
* Fixed blackscreen when using IE 11 over a VPN
* Fixed systemd service status check

-----------------------------
v5.0.1
-----------------------------
* Fixed init script false-positive when license checkout fails
* Fixed systemd service script
* Reduced log output on license checkout retries

-----------------------------
v5.0.0
-----------------------------
* Added CPU-based (**stream**) video source option
* Added **idle user timeout** (**Server.Misc.IdleUserTimeout** takes minutes.  Disabled by default)
* Added ability to **update Server.Auth settings at runtime** (except Server.Auth.Enabled)
* Added ability to **auto-select a video source**
* Added **Flexera License Management**
* Added ability to specify license file with **Server.License.FileName** config setting
* Added ability to delay service start with **Server.Misc.StartDelay** config setting
* Renamed **Server.WebSocketServer.Secure** to **Server.Network.Secure**
* Renamed **Server.WebSocketServer.Port** to **Server.Network.Port**
* Renamed **Server.ServiceLogFile** to **Server.Log.ServiceLogFile**
* Renamed **debug0.txt** to **ice-remoteware-service.log** and **debug1.txt** to **ice-remoteware.log**
* Changed Windows install directory to **C:\\Program Files\\Penguin Solutions\\ICE RemoteWare**
* Changed Windows service startup from Automatic to Delayed
* Changed log messages
* Fixed guests getting kicked out if one of multiple hosts signs out
* Fixed handling of IPv6 addresses
* Fixed guest toolbar being hidden while paused
* Fixed duplication of guest alerts
* Fixed guest video when starting out paused

-----------------------------
v3.1.0
-----------------------------
* Added **support for CentOS 7** (requires LightDM / MATE desktop environment)
* Added **Floating UI**
* Added **adjustable screen resolutions limits**
* Added **Server.Video.MaxWidth** and **Server.Video.MaxHeight** to config file
* Updated **QoS algorithm**
* Windows installer preserves \*.crt, \*.cer, \*.pem, \*.key, and \*.der files on update
* Set default max frame rates to 30
* Fixed Firefox keyboard issue for remote Windows services

-----------------------------
v3.0.4
-----------------------------
* Increased send timeout values
* Added **Server.Network.Timeouts.VideoSend**, **Server.Network.Timeouts.CtrlSend**, and
  **Server.Network.Timeouts.Receive** to config file

-----------------------------
v3.0.3
-----------------------------
* Fixed QoS adaptive frame rate algorithm

-----------------------------
v3.0.2
-----------------------------
* Fixed IE11 fullscreen keyboard and scrollbars

-----------------------------
v3.0.1
-----------------------------
* Fixed unexpected multi-user client timeouts

-----------------------------
v3.0.0
-----------------------------
* Added **keyboard and mouse sharing** for collaboration
* Added **guest invites** for collaboration
* Added **text paste from local clipboard** support
* Added **remote desktop auto-lock on disconnect**
* Updated **QoS algorithm**
* Updated user interface style
* Updated default SSL ciphers
* Compatible with v2.3 config file

-----------------------------
v2.3.2
-----------------------------
* Updated default SSL ciphers

-----------------------------
v2.3.1
-----------------------------
* Fixed Command/Windows key getting stuck
* Fixed cursor disappearing during Windows UAC

-----------------------------
v2.3.0
-----------------------------
* Improved **decode performance**
* Improved **QoS responsiveness**
* Improved mouse scrolling.  Ticks are now server-dependent
* Added code authenticity check
* Fixed OS X command key
* Improved version number system
* Fix for null cursor
* Fix for missing HTML icons
* Added support for 16x16 cursors in Windows
* Improved web-page refresh

-----------------------------
v2.2.0
-----------------------------
* Added **local cursor**
* Added **basic QoS** / dynamic frame rate updates
* Simplified configuration file by relying more on defaults
* Updated interface controls to be centered, sleeker
* Updated default openSSL.server.cipherList string to include !RC4
* Updated default openSSL.server.verificationMode to relaxed
* Fixed cursor in Firefox Fullscreen
* Fixed mouse wheel
* Fixed screen crop
* Added auto-lock (disabled by default)
* Authentication screen can now be disabled in config
* RPM installer preserves old config file by default

-----------------------------
v2.1.0
-----------------------------
* Added **screen resolution change support** (Windows, Linux)
* ScyldCloudAuth "JSON Syntax Error" fix
* Silent / Quiet Windows installer
